dsdplanczos.h File Reference

Lanczos procedure determines the maximum step length. More...

Go to the source code of this file.

## Data Structures

struct | DSDPLanczosStepLength
| Apply Lanczos prodedure to find distance to boundary. More...

## Functions

int | DSDPFastLanczosSetup (DSDPLanczosStepLength *, SDPConeVec)
| Use Lanczos procedure. Assume off tridiagonal entries are zero.
int | DSDPLanczosDestroy (DSDPLanczosStepLength *)
| Free data structure.
int | DSDPLanczosInitialize (DSDPLanczosStepLength *)
| Initialize Lanczos structure.
int | DSDPLanczosStepSize (DSDPLanczosStepLength *, SDPConeVec, SDPConeVec, DSDPDualMat, DSDPDSMat, double *)
| Compute distance to boundary.
int | DSDPRobustLanczosSetup (DSDPLanczosStepLength *, SDPConeVec)
| Use slowerer but more robust method.
int | DSDPSetMaximumLanczosIterations (DSDPLanczosStepLength *LZ, int)
| Set parameter.

## Detailed Description

Lanczos procedure determines the maximum step length.

Definition in file dsdplanczos.h.

## Function Documentation

## DSDPFastLanczosSetup()

int DSDPFastLanczosSetup | ( | DSDPLanczosStepLength * | LZ,
|  | SDPConeVec | V
| ) |  |

extern

Use Lanczos procedure. Assume off tridiagonal entries are zero.

Parameters

  LZ | structure.
  V | work vector.

Definition at line 133 of file dsdpstep.c.

Referenced by DSDPBlockSetup().

## DSDPLanczosDestroy()

int DSDPLanczosDestroy | ( | DSDPLanczosStepLength * | LZ | ) |

extern

Free data structure.

Parameters

  LZ | structure.

Definition at line 191 of file dsdpstep.c.

Referenced by DSDPBlockTakeDown().

## DSDPLanczosInitialize()

int DSDPLanczosInitialize | ( | DSDPLanczosStepLength * | LZ | ) |

extern

Initialize Lanczos structure.

Parameters

  LZ | structure.

Definition at line 92 of file dsdpstep.c.

Referenced by DSDPBlockInitialize(), and DSDPLanczosDestroy().

## DSDPLanczosStepSize()

int DSDPLanczosStepSize | ( | DSDPLanczosStepLength * | LZ,
|  | SDPConeVec | W1,
|  | SDPConeVec | W2,
|  | DSDPDualMat | S,
|  | DSDPDSMat | DS,
|  | double * | maxstep
| ) |  |

extern

Compute distance to boundary.

Parameters

  LZ | structure.
  W1 | work vector
  W2 | work vector
  S | Current point in factored form.
  DS | Step direction.
  maxstep | output is distance to boundary.

Definition at line 247 of file dsdpstep.c.

## DSDPRobustLanczosSetup()

int DSDPRobustLanczosSetup | ( | DSDPLanczosStepLength * | LZ,
|  | SDPConeVec | V
| ) |  |

extern

Use slowerer but more robust method.

Parameters

  LZ | structure.
  V | work vector.

Definition at line 163 of file dsdpstep.c.

Referenced by DSDPBlockSetup().

## DSDPSetMaximumLanczosIterations()

int DSDPSetMaximumLanczosIterations | ( | DSDPLanczosStepLength * | LZ,
|  | int | maxlanczos
| ) |  |

extern

Set parameter.

Parameters

  LZ | structure.
  maxlanczos | a parameter.

Definition at line 119 of file dsdpstep.c.

Referenced by DSDPBlockSetup().